%define name 	gksu
%define version 2.0.0
%define release %mkrel 3

Summary: 	GKsu is a GTK+ frontend to the su and sudo programs
Name:	 	%name
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 	 	Graphical desktop/GNOME
Url:		http://www.nongnu.org/gksu/
Source:  	http://people.debian.org/~kov/gksu/gksu/%name-%version.tar.bz2
BuildRoot: 	%{_tmppath}/%name-root
BuildRequires: 	gettext pkgconfig libgtk+2.0-devel bison autoconf2.5
#BuildRequires:	libgksuui-devel
BuildRequires:	libgksu2-devel 
BuildRequires:	libGConf2-devel
BuildRequires:	gtk-doc
BuildRequires:  perl-XML-Parser
BuildRequires:  gnome-keyring-devel
BuildRequires:  nautilus-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  desktop-file-utils

%description
gksu is a Gtk+ frontend to /bin/su. It supports login shells and preserving
environment when acting as a su frontend. It is useful to menu items or
other graphical programs that need to ask a user's password to run another
program as another user.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Settings" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

%clean
rm -fr %buildroot

%post
if [ -e /etc/gksu.conf ]; then
   sh /usr/share/gksu/gksu-migrate-conf.sh
fi

%files -f %name.lang
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png
%{_datadir}/%name
%{_libdir}/nautilus/extensions-1.0/*
%{_mandir}/man1/*.1.*




%changelog
* Sun Sep 09 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-3mdv2008.0
+ Revision: 83940
- fix buildrequires
- fix postinstall script


* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.0-3mdv2007.0
+ Revision: 134099
- drop buildrequires libgksuui-devel
- add %%post for migration from previous version

* Sat Jan 27 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.0-2mdv2007.1
+ Revision: 114417
- xdg menu
  fix gconf warnings

* Sat Jan 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.0-1mdv2007.1
+ Revision: 104921
- New version 2.0.0

* Sat Nov 25 2006 Götz Waschk <waschk@mandriva.org> 1.3.7-5mdv2007.1
+ Revision: 87229
- fix buildrequires
- Import gksu

* Fri Nov 24 2006 Gtz Waschk <waschk@mandriva.org> 1.3.7-4mdv2007.1
- deinstall gconf schema in preun, not postun

* Thu Sep 14 2006 Emmanuel Andry <eandry@mandriva.org> 1.3.7-3mdv2007.0
- buildrequires gnome-keyring-devel
- use gconf macros

* Mon Sep 11 2006 Emmanuel Andry <eandry@mandriva.org> 1.3.7-2mdv2007.0
- rebuild

* Fri Apr 14 2006 Jerome Soyer <saispo@mandriva.org> 1.3.7-1mdk
- New release 1.3.7

* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.6-2mdk
- Fix BuildRequires

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 1.3.6-1mdk
- New release 1.3.6

* Sat Oct 01 2005 Lenny Cartier <lenny@mandriva.com> 1.3.5-1mdk
- 1.3.5

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.4-2mdk
- Fix BuildRequires

* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 1.3.4-1mdk
- 1.3.4
- source URL
- configure 2.5
- buildrequires gtk-doc
- install schemas

* Wed Oct 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

